Subject: Re: [Yang-multicast] Hi Hitoshi, here is a yang model for IGMP/MLD proxy in draft-zhao-pim-igmp-mld-proxy-yang-03. Welcome your comments. Thanks a lot!

From: Hongji Zhao <[email-masked]>
Date: Tue, 13 Aug 2019 08:59:30 +0000

Hi Hitoshi,

Thanks a lot for your comments. 

1. The interface-name here is upstream interface.   If an interface-name is configured, it shows that the interface is the upstream interface for IGMP/MLD proxy.
2. We just need to configure upstream interface, and don't need to configure downstream interface. So  "interface* [interface-name]" is "rw", and the "downstream-interface* [interface-name]" is "ro".
    Most vendors (including Huawei, Juniper) implement IGMP/MLD proxy like this.
3. For each upstream interface the number of downstream interfaces could be multiple, so there is a downstream-interface list.
    This YANG model could support multiple upstream interfaces now, because there is an upstream interface list under the igmp-proxy and mld-proxy node.

    But I don't know clearly about your multiple upstream interfaces for igmp/mld proxy. What is the relationship between upstream interface and downstream interface in your proposal. 
    Thanks a lot!  😊

BR/Hongji
赵宏吉

-----Original Message-----
From: Hitoshi Asaeda <[email-masked]> 
Sent: Saturday, August 3, 2019 10:02 AM
To: Hongji Zhao <[email-masked]>
Subject: Re: Hi Hitoshi, here is a yang model for IGMP/MLD proxy in draft-zhao-pim-igmp-mld-proxy-yang-03. Welcome your comments. Thanks a lot!

Hi Hongji,

I'm not familiar with YANG models, so I have a few questions first.

1. How does this YANG model classify upstream interface and downstream
   interfaces? I know the "downstream-interface* [interface-name]"
   clasifies downstream, then "interface* [interface-name]" implies
   upstream interface?
2. Why the higher level is "rw" for "interface* [interface-name]" but
   the lower level is "ro" for "downstream-interface* [interface-name]"?
3. Can the number of downstream interfaces be multiple? It MUST. On
   the other hand, how about upstream interface? It can be multiple,
   or MUST be a single? The current igmp/mld proxy specification,
   rfc4605, only allows a single upstream interface. However there was
   a proposal (in fact it's mine, though) to support multiple upstream
   interfaces for igmp/mld proxy. At this moment, you don't need to
   officially consider to support multiple upstream interfaces for
   igmp/mld proxy, but if this YANG model can easily support multiple
   upstream interfaces for the future, it might be good, IMO.

Regards,

Hitoshi

From: Hongji Zhao <[email-masked]>
Subject: Hi Hitoshi, here is a yang model for IGMP/MLD proxy in draft-zhao-pim-igmp-mld-proxy-yang-03. Welcome your comments. Thanks a lot!
Date: Fri, 2 Aug 2019 06:00:21 +0000

> Hi Hitoshi，
> 
> I am the coauthor of draft-zhao-pim-igmp-mld-proxy-yang-03 and get your name in the IETF attendee list.
> This draft describes the yang model of IGMP/MLD Proxy.  IGMP/MLD Proxy is widely used and needs a yang model. I need your comments to make it perfect. Thank you very much!
> 
> https://www.ietf.org/id/draft-zhao-pim-igmp-mld-proxy-yang-03.txt
> 
> 
> module: ietf-igmp-mld-proxy
>   augment /rt:routing/rt:control-plane-protocols/rt:control-plane-protocol:
>     +--rw igmp-proxy {feature-igmp-proxy}?
>        +--rw interfaces
>           +--rw interface* [interface-name]
>              +--rw interface-name    if:interface-ref
>              +--rw version?          uint8
>              +--rw enable?           boolean
>              +--ro group* [group-address]
>                 +--ro group-address    inet:ipv4-address
>                 +--ro up-time?         uint32
>                 +--ro filter-mode?     enumeration
>                 +--ro source* [source-address]
>                    +--ro source-address          inet:ipv4-address
>                    +--ro up-time?                uint32
>                    +--ro filter-mode?            enumeration
>                    +--ro downstream-interface* [interface-name]
>                       +--ro interface-name    if:interface-ref
>                       +--ro filter-mode?      Enumeration
> 
>   augment /rt:routing/rt:control-plane-protocols/rt:control-plane-protocol:
>     +--rw mld-proxy {feature-mld-proxy}?
>        +--rw interfaces
>           +--rw interface* [interface-name]
>              +--rw interface-name    if:interface-ref
>              +--rw version?          uint8
>              +--rw enable?           boolean
>              +--ro group* [group-address]
>                 +--ro group-address    inet:ipv6-address
>                 +--ro up-time?         uint32
>                 +--ro filter-mode?     enumeration
>                 +--ro source* [source-address]
>                    +--ro source-address          inet:ipv6-address
>                    +--ro up-time?                uint32
>                    +--ro filter-mode?            enumeration
>                    +--ro downstream-interface* [interface-name]
>                       +--ro interface-name    if:interface-ref
>                       +--ro filter-mode?      enumeration
> 
> 
> BR/Hongji
> 赵宏吉
>